Mais

GeoServer 2.7.1 falha ao iniciar após a instalação da extensão de script de 11 de agosto de 2015


Este problema não parece ser específico da versão para mim. Tentei várias vezes com diferentes versões e diferentes configurações de sistema. Como afirma o título, quando adiciono a extensão do script ao GeoServer, ele para de funcionar. Alguma sugestão? Estou executando isso no Debian 8.

Aqui está um trecho de data / logs / geoserver.log:

2015-08-12 11: 52: 31,066 WARN [support.DisposableBeanAdapter] - A invocação do método destroy falhou no bean com o nome 'geoServerLoader': java.lang.NullPointerException

2015-08-12 11: 52: 31,067 ERROR [context.ContextLoader] - Falha na inicialização do contexto org.springframework.beans.factory.BeanCreationException: Erro ao criar bean com o nome 'wcsURLMapping' definido na URL [jar: arquivo: / var / lib /tomcat8/webapps/geoserver-test/WEB-INF/lib/gs-wcs-2.7.1.jar!/applicationContext.xml]: Não é possível resolver a referência ao bean 'catálogo' ao definir o argumento do construtor; a exceção aninhada é org.springframework.beans.factory.BeanCreationException: Erro ao criar bean com o nome 'localWorkspaceCatalog' definido na URL [jar: arquivo: / var / lib / tomcat8 / webapps / geoserver-test / WEB-INF / lib / gs- main-2.7.1.jar! /applicationContext.xml]: Não é possível resolver a referência ao bean 'advertisedCatalog' ao definir o argumento do construtor; a exceção aninhada é org.springframework.beans.factory.BeanCreationException: Erro ao criar bean com o nome 'advertisedCatalog' definido na URL [jar: arquivo: / var / lib / tomcat8 / webapps / geoserver-test / WEB-INF / lib / gs- main-2.7.1.jar! /applicationContext.xml]: Não é possível resolver a referência ao bean 'secureCatalog' ao definir o argumento do construtor; a exceção aninhada é org.springframework.beans.factory.BeanCreationException: Erro ao criar bean com o nome 'secureCatalog' definido na URL [jar: arquivo: / var / lib / tomcat8 / webapps / geoserver-test / WEB-INF / lib / gs- main-2.7.1.jar! /applicationContext.xml]: A instanciação do bean falhou; a exceção aninhada é org.springframework.beans.BeanInstantiationException: Não foi possível instanciar a classe de bean [org.geoserver.security.SecureCatalogImpl]: Construtor lançou exceção; a exceção aninhada é java.lang.NullPointerException em org.springframework.beans.factory.support.BeanDefinitionValueResolver.resolveReference (BeanDefinitionValueResolver.java:329)…


A extensão de script Python funciona com a versão 2.4 de 20 de agosto de 2014, especificamente esta compilação do GeoServer com esta compilação do plugin Python.